Loading...
Searching...
No Matches
RealizationOrder.h File Reference

Defines the lowering pass that determines the order in which realizations are injected and groups functions with fused computation loops. More...

`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::pair< std::vector< std::string >, std::vector< std::vector< std::string > > > | Halide::Internal::realization_order (const std::vector< Function > &outputs, std::map< std::string, Function > &env)
| Given a bunch of functions that call each other, determine an order in which to do the scheduling.
std::vector< std::string > | Halide::Internal::topological_order (const std::vector< Function > &outputs, const std::map< std::string, Function > &env)
| Given a bunch of functions that call each other, determine a topological order which stays constant regardless of the schedule.

## Detailed Description

Defines the lowering pass that determines the order in which realizations are injected and groups functions with fused computation loops.

Definition in file RealizationOrder.h.